package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import lingtao.net.bean.CustomerTrainContent;
import lingtao.net.bean.CustomerTrainKindLabel;
import lingtao.net.bean.CustomerTrainProType;

@Mapper
public interface CustomerTrainMapper {

	List<CustomerTrainContent> getCustomerTrainContents(CustomerTrainContent customerTrainContent);

	void addCustomerTrainContent(CustomerTrainContent customerTrainContent);

	void updateCustomerTrainContentById(CustomerTrainContent customerTrainContent);

	@Update("update t_customer_knowledge_content set sort = #{sort} where id = #{id}")
	void updateCustomerTrainContentSort(@Param("id") int id, @Param("sort") int sort);

	void deleteCustomerTrainContentById(Integer id);

	List<CustomerTrainProType> getCustomerTrainProTypes(CustomerTrainProType customerTrainProType);

	void addCustomerTrainProType(CustomerTrainProType customerTrainProType);

	void updateCustomerTrainProTypeById(CustomerTrainProType customerTrainProType);

	void deleteCustomerTrainProTypeById(Integer id);

	List<CustomerTrainKindLabel> getCustomerTrainKindLabelsByProType(CustomerTrainKindLabel customerTrainKindLabel);

	void addCustomerTrainKindLabel(CustomerTrainKindLabel customerTrainKindLabel);

	void updateCustomerTrainKindLabelById(CustomerTrainKindLabel customerTrainKindLabel);

	void deleteCustomerTrainKindLabelById(Integer id);

}
